Bug 1010969 - [RHSC] RFE: Improvement in the status indication shown for a task in the tasks tab
[RHSC] RFE: Improvement in the status indication shown for a task in the task...
Status: CLOSED CANTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Kanagaraj
Shruti Sampat
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 08:08 EDT by Shruti Sampat
Modified: 2016-04-18 06:06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-27 07:49:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (113.62 KB, image/png)
2013-09-23 08:08 EDT, Shruti Sampat
no flags Details

  None (edit)
Description Shruti Sampat 2013-09-23 08:08:45 EDT
Created attachment 801586 [details]
screenshot

Description of problem:
-----------------------
When a task (like volume rebalance) is aborted by the user from the Console, the corresponding task in the tasks tab is shown with a red cross mark beside the task. The red cross mark actually gives the user the impression that something has failed, but the task was aborted by the user himself. So the icon being shown for such tasks should be something other than the red cross, maybe an exclamation mark in yellow.

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.4.0-0.2.master.20130911113322.gite7ade4a.fc19

How reproducible:
Always

Steps to Reproduce:
1. Start rebalance on a volume.
2. Stop the rebalance from the UI.

Actual results:
The tasks tab shows the task with a red colored cross mark.

Expected results:
The status of the task (ABORTED, in this case) could be better conveyed by something less severe than a red colored cross mark.

Additional info:
Attached screenshot.
Comment 2 Sahina Bose 2015-03-27 07:49:32 EDT
As we're reusing infra from oVirt, the icons are also reused. If there are multiple requests to change the icons, we can reopen this bug

Note You need to log in before you can comment on or make changes to this bug.